### Method

# WPEWebKit WebExtension get_optional_permission_match_patterns

since: 2.52

#### Declaration [src]

    WebKitWebExtensionMatchPattern**
    webkit_web_extension_get_optional_permission_match_patterns (
      WebKitWebExtension* extension
    )

#### Description [src]

Get the set of websites that the extension may need access to for optional functionality. These match patterns can be requested by the extension at a later time.

Available since: 2.52

#### Return value

Type: An array of `None`

A `NULL`-terminated array of match patterns matching the optional websites.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.